## stgit 0.17.1

=== t/Makefile ===
# Run tests
#
# Copyright (c) 2005 Junio C Hamano
#

SHELL_PATH ?= $(SHELL)
TAR ?= $(TAR)

all:
	python test.py

clean:
	rm -rf trash*

.PHONY: all clean
