=== debian/rules ===
#!/usr/bin/make -f

export prefix = /usr
export PYTHON = python

%:
	dh $@ --parallel --with python2

override_dh_auto_build:
	# run make all and make doc
	dh_auto_build -- all doc

override_dh_auto_install:
	# dh_auto install calls make install,
	# also call make install-doc and make install-html
	dh_auto_install -- install-doc install-html
