=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@
Restrictions: build-needed allow-stderr
