=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
    http://download.gna.org/stgit/ stgit-([\d.]+)\.tar\.gz
