=== t/Makefile ===
# Run tests
#
# Copyright (c) 2005 Junio C Hamano
#

all:
	$(PYTHON) test.py

clean:
	rm -rf trash*

.PHONY: all clean
