=== debian/changelog ===
stgit (0.18-1) sid; urgency=medium

  * New patch: test_exit_1_on_fail
  * Update autopkgtest testsuite. (Closes: #742997) Thanks to Antonio Terceiro
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream release (0.18).
  * Bump Standards-Version to 4.1.0.
  * Update Vcs fields
  * Drop upstream patches
  * Ignore the generated files update on clean
  * Add dh-python build depends
  * Avoid the git error messages when running stg outside of a git tree
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 14:30:36 +0200
