=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: vcs
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
-Build-Depends: asciidoc, debhelper (>= 9), dh-exec, git, python-all, xmlto
-Standards-Version: 3.9.5
+Build-Depends: asciidoc,
+               debhelper (>= 9),
+               dh-exec,
+               dh-python,
+               git,
+               python-all,
+               xmlto,
+Standards-Version: 4.1.0
 Homepage: http://www.procode.org/stgit/
-XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stgit.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/stgit.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/stgit.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/stgit.git
 
 Package: stgit
 Architecture: all
