=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,19 @@
 
 export prefix = /usr
 export PYTHON = python
+UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog -S Version | sed 's/.*://;s/-.*//')
 
 %:
 	dh $@ --parallel --with python2
 
+override_dh_auto_clean:
+	-rm stgit/builtin_version.py
+	dh_auto_clean
+	-rm stgit-completion.bash
+	-rm stgit/commands/cmdlist.py
+
 override_dh_auto_build:
+	echo 'version = "$(UPSTREAM_VERSION)"' > stgit/builtin_version.py
 	# run make all and make doc
 	dh_auto_build -- all doc
