=== debian/tests/control ===
Tests: testsuite
Depends: @
Restrictions: allow-stderr
