## stgit 0.19

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 prefix	?= $(HOME)
 DESTDIR	?= /
-PYTHON	?= python2
+PYTHON	?= python
 
 export DESTDIR PYTHON
 
@@ -30,10 +30,14 @@
 		stg goto $$patch && $(MAKE) test || break; \
 	done
 
-coverage:
+coverage: coverage-test coverage-report
+
+coverage-test:
 	$(PYTHON) -m coverage run setup.py build
 	COVERAGE_PROCESS_START=$(PWD)/.coveragerc $(MAKE) -C t all
 	$(PYTHON) -m coverage combine $$(find . -name '.coverage.*')
+
+coverage-report:
 	$(PYTHON) -m coverage html --title="stgit coverage"
 	$(PYTHON) -m coverage report
 	@echo "HTML coverage report: file://$(PWD)/htmlcov/index.html"
@@ -43,10 +47,18 @@
 		$(MAKE) -C $$dir clean; \
 	done
 	rm -rf build
-	rm -f stgit/*.pyc
-	rm -f stgit/commands/*.pyc
-	rm -f TAGS
-	rm -f stgit/commands/cmdlist.py
+	rm -rf dist
+	rm  -f stgit/*.pyc
+	rm -rf stgit/__pycache__
+	rm  -f stgit/builtin_version.py
+	rm  -f stgit/commands/*.pyc
+	rm -rf stgit/commands/__pycache__
+	rm  -f stgit/commands/cmdlist.py
+	rm  -f stgit/lib/*.pyc
+	rm -rf stgit/lib/__pycache__
+	rm  -f TAGS tags
+	rm  -f MANIFEST
+	rm  -f stgit-completion.bash
 
 tags:
 	ctags -R stgit/*
@@ -55,4 +67,4 @@
 	ctags -e -R stgit/*
 
 .PHONY: all install doc install-doc install-html test test_patches \
-	coverage clean tags TAGS
+	coverage coverage-test coverage-report clean tags TAGS
