=== debian/changelog ===
stgit (0.19-2) unstable; urgency=medium

  * Add a gbp.conf file
  * Drop old docs gathered from the wiki
  * Add python3-setuptools as build-depends.
    Thanks to stefanor@debian.org (Closes: #1080809)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 Sep 2024 16:18:03 +0200

stgit (0.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #942009)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 01 Dec 2022 11:53:31 -0800

stgit (0.19-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update Vcs fields
  * Test suite already runs at build time (Closes: 889175)
  * Bump to Standards-Version 4.1.3
  * Bump debhelper build-dep and compat to 11
  * New upstream release (0.19).
  * Drop obsolete --parallel dh parameter
  * Update bash-completion install path
  * Release to unstable

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2019 14:38:18 +0200
