=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
 Build-Depends: asciidoc,
-               debhelper (>= 9),
+               debhelper (>= 12~),
                dh-exec,
                dh-python,
+               python3,
+               python3-setuptools,
                git,
-               python-all,
                xmlto,
-Standards-Version: 4.1.0
+Standards-Version: 4.4.1
 Homepage: http://www.procode.org/stgit/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/stgit.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/stgit.git
+Vcs-Browser: https://salsa.debian.org/debian/stgit
+Vcs-Git: https://salsa.debian.org/debian/stgit.git
 
 Package: stgit
 Architecture: all
-Depends: git, ${misc:Depends}, ${python:Depends}
+Depends: git, ${misc:Depends}, ${python3:Depends}
 Description: manage stacks of patches in a git repository
  stgit provides similar functionality to quilt
  (i.e. pushing/popping patches to/from a stack) on top of git.
@@ -27,7 +28,7 @@
 
 Package: stgit-contrib
 Architecture: all
-Depends: colordiff, stgit, ${misc:Depends}, ${python:Depends}
+Depends: colordiff, stgit, ${misc:Depends}, ${python3:Depends}
 Description: set of contributed script to help working with stgit
  Among others, this package provides the following helper scripts:
   * stg-gitk: show all patches in gitk, not only applied ones, and hide logs
